Retrieve all hardware items organized by department. Returns a dictionary where each department contains its associated hardware items.
GET
/data/departments/hardware-items
curl
curl -X GET "http://api.example.com/data/departments/hardware-items" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/departments/hardware-items"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/departments/hardware-items' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"additionalProperty1": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Workstation",
"description": "High-performance workstation",
"department_id": "b35b7fb5-df86-5776-b181-68564193d36",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
],
"additionalProperty2": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Workstation",
"description": "High-performance workstation",
"department_id": "b35b7fb5-df86-5776-b181-68564193d36",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]
}